Package Details: zola 0.11.0-2

Git Clone URL: https://aur.archlinux.org/zola.git (read-only, click to copy)
Package Base: zola
Description: An opinionated static site generator
Upstream URL: https://github.com/getzola/zola
Licenses: MIT
Submitter: Svenstaro
Maintainer: Svenstaro
Last Packager: Svenstaro
Votes: 8
Popularity: 1.02
First Submitted: 2018-11-19 19:44
Last Updated: 2020-05-28 03:32

Latest Comments

1 2 Next › Last »

ChrisMorgan commented on 2020-04-03 15:01

I don’t believe this package should be marked as depending on libsass: I don’t have libsass installed, but it builds and runs just fine. I imagine Zola is vendoring its own copy?

Nor should git be in makedepends: it’s downloading a tarball, not a Git repository.

ejiek commented on 2020-02-19 06:29

Missed dependancy: openssl

pointed out by namcap

ejiek commented on 2020-02-18 07:12

I guess you have a typo here depeds

Svenstaro commented on 2020-01-17 22:06

@aliceryhl did you build using extra-x86_64-build to make sure your environment is clean? I just did and it works fine.

aliceryhl commented on 2020-01-17 21:57

This still fails to compile with a massive error that looks like the linker is missing the C++ standard library. http://ix.io/27Gm

rmsc commented on 2019-06-10 15:05

I'm having trouble building zola, more specifically linking:

(...) undefined reference to 'sass_make_file_context'
(...) undefined reference to 'sass_file_context_get_context'
(...) undefined reference to 'OnigEncodingUTF8'
(...) undefined reference to 'onig_search_with_param'
(...)

$ rustc --version rustc 1.35.0 (3c235d560 2019-05-20)

Svenstaro commented on 2018-12-08 14:32

Ok.

polyzen commented on 2018-12-08 01:18

Please prefix the tarball with zola-.

Svenstaro commented on 2018-11-09 18:38

Can't get it to work even with that.

tmmsartor commented on 2018-11-09 15:50

I got the error:

error: failed to run custom build command for `openssl v0.9.24`
...
thread 'main' panicked at 'Unable to detect OpenSSL version'

Solved with:

build() {
  cd gutenberg-$pkgver
  OPENSSL_INCLUDE_DIR=/usr/include/openssl-1.0 OPENSSL_LIB_DIR=/usr/lib/openssl-1.0 cargo build --release
}